# 语义分割

1. 简述

图像语义分割的应用越来越广泛，在安防和自动驾驶等领域对语义分割的要求越来越高，为此AutoML算法也逐渐在语义分割中发挥越来越重要的作用。

语义分割模型的backbone网络很大程度上决定了模型的性能，在语义分割领域，除了可以直接搜索完整的语义分割模型，也可以搜索语义分割网络的主干网络，再构建完整的语义分割网络两种方式，其中后者需要更多的深度网络背景知识。

## 2. 算法选择

根据上一个章节的描述，我们可以把语义分割的应用分为如下几个场景：

1. 场景A：普通的语义分割任务，用户希望提供语义分割的训练数据集和测试数据集后，得到一个合适的语义分割模型。
2. 场景B：针对高级用户，通过搜索语义分割网络backbone，再构造语义网络，得到最终的语义分割模型。

同时以上三种都可能需要针对特定的硬件设备来部署模型，如Atlas 310芯片等。

### 2.1 场景A：普通的语义分割任务

这种场景下，可考虑使用Adelaide-EA算法，该算法采用了进化算法，可在相对较短的时间里，搜索出一组语义分割模型，经过fully train后，评估各个模型的性能，选择最合适的模型。

具体的算法介绍，可参考[Adelaide-EA算法](../algorithms/adelaide_ea.md)

### 2.2 场景C：搜索语义分割网络backbone

Vega提供了SP-NAS算法，该算法用以搜索面向物体检测及语义分割的高效主干网络架构，使用这类算法需要一定深度网络架构知识。

具体请参考[SP-NAS算法](../algorithms/sp_nas.md)

### 3. pipeline

具体的pipeline的构造，请参考各个算法。同时还需要注意：

1. 语义分割的数据集有差异，请参考[数据集参考](../developer/datasets.md)来适配数据集。
2. 可配置评估服务针对特定的硬件评测模型性能。
